/**
Theme Name: Enboarder
Author: Shannon Dunn
Author URI: http://www.juusui.com
Description: Astra child theme for Enboarder
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: enboarder-2026
Template: astra
*/


/* ---------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------- TEXT
------------------------------------------------------------------------------------------------------ */
a {
    color: #ed2562;
    transition: 200ms ease;
}

a:hover {
    color: #000;
}

/* hiders */
@media (min-width: 1025px) {
    .em-hide-desktop {
        display: none;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .em-hide-tablet {
        display: none;
    }
}

@media (max-width: 767px) {
    .em-hide-mobile {
        display: none;
    }
}

/* gradient text */
.em-gradient-text h2,
.em-gradient-text {
    background-image: linear-gradient(30deg, #7132c4 15%, #ed2562 60%, #f27353 100%);
    background-clip: text;
    -webkit-background-clip: text;
    text-fill-color: transparent;
    -webkit-text-fill-color: transparent;
}

.em-gradient-text-light h2,
.em-gradient-text-light {
    background-image: linear-gradient(30deg, #f27353 15%, #ed2562 60%, #a164f3 100%);
    background-clip: text;
    -webkit-background-clip: text;
    text-fill-color: transparent;
    -webkit-text-fill-color: transparent;
}

/* ---------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------- HEADER
------------------------------------------------------------------------------------------------------ */
/* bar - layout */
.site-header {
    margin-bottom: 20px;
    margin-top: 20px;
}

.ast-primary-header-bar.main-header-bar {
    margin-left: 5px;
    margin-right: 5px;
}

.ast-primary-header-bar .site-primary-header-wrap {
    border: 1px solid transparent;
    border-radius: 31px;
    padding-left: 15px;
    padding-right: 15px;
    transition: 300ms ease;
}

.ast-primary-header-bar .ast-builder-grid-row {
    display: flex;
}

.ast-primary-header-bar .site-header-primary-section-right,
.ast-primary-header-bar .ast-builder-menu {
    flex: 1 1 auto;
}

.ast-primary-header-bar .ast-main-header-bar-alignment,
.ast-primary-header-bar .main-navigation,
.ast-primary-header-bar .main-header-menu {
    width: 100%;
}

/* effects */
.ast-primary-header-bar.ast-sticky-active .site-primary-header-wrap,
.ast-primary-header-bar .site-primary-header-wrap:hover {
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid #fff;
    -webkit-box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, 0.25);
    box-shadow: 0px 3px 10px 0px rgba(0, 0, 0, 0.25);
}

.ast-primary-header-bar.ast-sticky-active .site-primary-header-wrap {
    background-color: #ffffffbb;
}

.ast-primary-header-bar .site-primary-header-wrap:hover {
    background-color: #fff;
}

/* sticky */
.ast-sticky-active {
    background: transparent;
    box-shadow: none;
    margin-top: 10px;
}

.site-header .main-header-bar.ast-sticky-active {
    box-shadow: none;
}

/* logo */
.ast-logo-title-inline .ast-primary-header-bar .ast-site-identity {
    padding-top: 10px;
}

/* nav */
.ast-primary-header-bar .menu-item {
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
}

.ast-primary-header-bar .menu-item a {
    color: #000;
    cursor: pointer;
}

.ast-primary-header-bar .en-nav-pricing {
    margin-left: auto;
}

/* nav button */
.ast-builder-menu-1 .en-nav-button.menu-item > .menu-link {
    background-color: #ed2562;
    border: 1px solid #ed2562;
    border-radius: 50px;
    color: #fff !important;
    display: block;
    font-weight: 600;
    height: auto !important;
    line-height: 1em;
    padding: 10px 20px;
    transition: 500ms ease;
}

.ast-builder-menu-1 .en-nav-button.menu-item > .menu-link:hover {
    background-color: transparent;
    color: #ed2562 !important;
}

/* drop down */
@media (min-width: 1025px) {
    .site-primary-header-wrap:has(.en-meganav:hover) {
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }

    .astra-megamenu-li > a .ast-icon.icon-arrow {
        display: none;
    }

    ul.astra-megamenu {
        background-color: #fff !important;
        border-bottom-left-radius: 31px;
        border-bottom-right-radius: 31px;
        clip-path: inset(1px -10px -10px -10px);
        padding-left: 30px !important;
        padding-top: 0;
    }

    .en-meganav ul.astra-megamenu {
        margin-left: -16px !important;
        max-width: 1399px;
        width: calc(100vw - 25px) !important;
    }

    .main-header-menu .astra-megamenu.sub-menu {
        top: calc(100% - 1px);
    }

    .ast-desktop .astra-menu-animation-slide-down > .menu-item:hover > .sub-menu {
        transition: opacity 500ms ease, transform 500ms ease, visibility 1000ms ease;
    }

    /* drop down text */
    .ast-desktop .ast-mega-menu-enabled .astra-megamenu-li:not([data-megamenu-trigger=click]):hover .astra-megamenu > .menu-item {
        padding-left: 0;
        padding-right: 0;
    }

    .main-header-menu .sub-menu .menu-item {
        min-height: 40px;
    }

    .main-header-menu .sub-menu .menu-item:not(.en-nav-cta, .menu-item-heading) .menu-link {
        background-position: 0 10px;
        background-repeat: no-repeat;
        background-size: 30px;
    }

    .main-header-menu .sub-menu .menu-item .sub-menu .menu-item .menu-link,
    .main-header-menu .sub-menu .menu-item:not(.en-nav-cta, .menu-item-heading) > .menu-link {
        background-color: transparent !important;
        padding-bottom: 10px;
        padding-left: 40px;
    }

    .main-header-menu .sub-menu .menu-item.menu-item-heading .menu-link {
        padding-left: 0;
    }

    .main-header-menu .sub-menu .menu-item:not(.en-nav-cta) .menu-link .menu-text {
        color: #000;
    }

    .main-header-menu .sub-menu .menu-item:not(.en-nav-cta) .menu-link .menu-text:hover {
        color: #ed2562;
    }

    .main-header-menu .sub-menu .menu-item:not(.en-nav-cta) .menu-link.ast-disable-link .menu-text:hover {
        color: #000;
    }

    .ast-desktop .sub-menu .menu-item:not(.en-nav-cta) .ast-mm-custom-text-content {
        color: #666;
        margin-top: -5px;
        padding-left: 40px;
        text-transform: none;
    }

    /* nav cta */
    .en-nav-cta {
        background-position: center;
        background-repeat: no-repeat;
        background-size: auto;
        border-bottom-right-radius: 31px;
        height: 100%;
        overflow: hidden;
        position: absolute !important;
        right: 0;
        top: 0;
        width: 400px;
    }

    .ast-desktop .en-nav-cta .ast-mm-custom-text-content {
        margin-bottom: 0;
        padding: 0;
    }

    .main-header-menu .sub-menu .en-nav-cta .menu-link {
        display: none;
    }

    /* sections */
    .en-nav-platform .astra-megamenu {
        align-content: start;
        display: grid !important;
        column-gap: 50px;
        grid-auto-flow: column;
        grid-template-rows: repeat(3, auto);
        min-height: 300px;
        padding-right: 425px !important;
    }

    .en-nav-platform .en-nav-cta {
        background-image: url(/wp-content/uploads/bg-nav-cta-01.png);
    }

    .en-nav-solutions .astra-megamenu {
        gap: 50px;
        padding-right: 425px !important;
    }

    .en-nav-resources .astra-megamenu {
        flex-direction: column;
        min-height: 300px;
    }

    .en-nav-resources .astra-megamenu .menu-item {
        flex: 0 0 auto !important;
    }

    .en-nav-about .astra-megamenu {
        flex-direction: column;
        min-height: 250px;
    }

    .en-nav-about .astra-megamenu .menu-item {
        flex: 0 0 auto !important;
    }

    .en-nav-login .astra-megamenu {
        border-top-right-radius: 20px;
        flex-direction: column;
    }
}

/* mobile */
.main-navigation .ast-menu-toggle {
    border: 0 !important;
    outline: none !important;
}

.main-navigation .ast-menu-toggle:hover {
    border: 0 !important;
}

@media (max-width: 1024px) {
    .main-navigation .sub-menu .menu-link,
    .main-navigation .sub-menu .menu-link:hover,
    .main-navigation .sub-menu .menu-item .menu-link,
    .main-navigation .sub-menu .menu-item:hover .menu-link {
        background-image: none !important;
    }

    .ast-mm-custom-text-content {
        line-height: 1.33em;
        padding: 0 30px 20px 30px;
    }

    .site-navigation .sub-menu .sub-menu .ast-mm-custom-text-content {
        padding: 0 40px 20px 40px;
    }

    .en-nav-cta {
        display: none !important;
    }
}

.ast-header-break-point .main-navigation ul .sub-menu .menu-item:not(.menu-item-has-children) .menu-link .icon-arrow:first-of-type {
    display: none;
}

/* HAMMER */
.site-header .menu-link:hover,
.site-header .current-menu-item .menu-link:hover,
.site-header .current-menu-ancestor .menu-link:hover,
.site-header .current-menu-parent .menu-link:hover {
    color: #ed2562 !important;
}

/* ---------------------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------------- FOOTER
------------------------------------------------------------------------------------------------------ */
.site-footer {
    background-color: #090016;
}

.site-primary-footer-wrap .widget-title {
    color: #fff;
    font-size: 16px;
    font-weight: 700;
    margin-bottom: 10px;
    text-transform: uppercase;
}

.site-primary-footer-wrap .menu .menu-item {
    font-size: 16px;
    line-height: 1.6em;
}

.site-primary-footer-wrap .menu .menu-item .menu-link {
    color: #eddefb;
    opacity: 0.8;
}

.site-primary-footer-wrap .menu .menu-item .menu-link:hover {
    color: #ed2562;
    opacity: 1;
}

.site-primary-footer-wrap .menu .en-footer-nav-subhead.menu-item {
    margin-top: 10px;
}

.site-primary-footer-wrap .menu .en-footer-nav-subhead.menu-item .menu-link {
    color: #fff;
    font-weight: 600;
}

.site-primary-footer-wrap .menu .en-footer-nav-subhead.menu-item .menu-link:hover {
    color: #fff;
}

/* ---------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------- BLOG
------------------------------------------------------------------------------------------------------ */
/* home */
.en-posts-search .e-search-form {
    max-height: 50px;
}

.en-blog-categories h5 {
    display: none;
}

.en-blog-categories ul {
    align-items: center;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: center;
    list-style-type: none;
    margin: 0;
}

.en-blog-categories .cat-item {
    flex: 0 0 auto;
}

.en-blog-categories .cat-item a {
    background-color: #420882;
    border-radius: 50px;
    color: #fff;
    display: block;
    font-size: 14px;
    font-weight: 600;
    line-height: 1em;
    padding: 10px 20px;
    text-transform: uppercase;
    transition: 500ms ease;
}

.en-blog-categories .cat-item.current-cat a {
    background-color: #ed2562;
}

.en-blog-categories .cat-item a:hover {
    background-color: #7132c4;
}

@media (max-width: 767px) {
    .en-blog-categories ul {
        gap: 5px;
    }

    .en-blog-categories .cat-item a {
        font-size: 12px;
        padding: 10px;
    }   
}

/* single */
.en-blog-meta .elementor-post-info__item-prefix {
    font-weight: 600;
}

.em-blog-content h3,
.em-blog-content h4 {
    color: #000;
}

.en-related-posts .elementor-post__title a {
    color: #000;
}

.en-related-posts .elementor-post__title a:hover {
    color: #ed2562;
}

/* ---------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------ S&FP
------------------------------------------------------------------------------------------------------ */
.searchandfilter ul {
    display: flex;
    flex-direction: row;
    margin-left: 0;
    width: 100%;
}

.searchandfilter ul li {
    flex: 1 1 25%;
}

.searchandfilter ul li h4 {
    color: #fff;
    font-size: 18px;
    font-weight: 300;
    line-height: 1em;
    padding-left: 17px;
}

.searchandfilter ul li label {
    width: 100%;
}

.searchandfilter ul li label input {
    height: 75px;
    width: 100%;
}

.searchandfilter ul li.sf-field-search label input {
    border-radius: 50px 0 0 50px;
}

.searchandfilter select.sf-input-select {
    border-radius: 0;
    height: 75px;
}

.searchandfilter ul li.sf-field-submit {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding-bottom: 21px;
}

.sf-field-submit input[type="submit"] {
    background-color: #ed2562 !important;
    border-radius: 0 50px 50px 0 !important;
    color: #fff !important;
    flex: 0 0 75px;
    transition: 500ms ease;
    width: 100%;
}

.sf-field-submit input[type="submit"]:hover {
    background-color: #cf2d50 !important;
}

/* ---------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------ FORMS
------------------------------------------------------------------------------------------------------ */
.hs-form input, 
.hs-form .hs-error-msgs,
.hs-form .hs-richtext p {
    margin-bottom: 20px;
}

.hs-form,
.hs-form label,
.hs-form .hs-error-msg {
    font-size: 18px;
    line-height: 1.33em;
}

.hs-form .hs-input {
    font-size: 21px;
}

.hs-submit .hs-button {
    transition: 300ms ease;
}

/* footer newsletter form */
.en-form-newsletter-footer, 
.en-form-newsletter-footer label {
    color: #fff;
}

.en-form-newsletter-footer .hs-form .hs-input {
    border: 1px solid #fff;
    background-color: transparent;
    color: #fff;
    font-size: 21px;
}

.en-form-newsletter-footer .hs-form a {
    color: #fff;
    text-decoration: underline;
}

.en-form-newsletter-footer .hs-form ahover {
    text-decoration: none;
}

.en-form-newsletter-footer .hs-submit .hs-button {
    background-color: #ed2562;
    border: 1px solid #ed2562;
    color: #fff;
}

.en-form-newsletter-footer .hs-submit .hs-button:hover {
    background-color: transparent;
    border: 1px solid #fff;
}

/* ---------------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------- BUTTONS
------------------------------------------------------------------------------------------------------ */
/* fix button icon color */
.elementor-button .elementor-button-icon svg {
    fill: currentColor;
}

.en-button-strong .elementor-button {
    background-color: #ed2562 !important;
    color: #fff !important;
}

.en-button-strong .elementor-button:hover {
    background-color: transparent !important;
    border: 1px solid #ed2562 !important;
    color: #ed2562 !important;
}

.en-button-ondark .elementor-button {
    background-color: #ed2562 !important;
    color: #fff !important;
}

.en-button-ondark .elementor-button:hover {
    background-color: transparent !important;
    border: 1px solid #fff !important;
    color: #fff;
}

.en-button-ondark-alt .elementor-button {
    background-color: transparent !important;
    border: 1px solid #fff !important;
    color: #fff !important;
}

.en-button-ondark-alt .elementor-button:hover {
    background-color: #ed2562 !important;
    border: 1px solid #ed2562 !important;
    color: #fff;
}

/* ---------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------ MISC GLOBAL
------------------------------------------------------------------------------------------------------ */
/* semi-transparent glass */
.em-bg-blur {
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
}

/* customer / case study block */
.en-cs-block .elementor-counter-number-suffix {
    display: inline-block;
    font-size: .6em;
    position: relative;
    top: 0.6em;
}

.en-cs-block .elementor-widget-button {
    margin-top: auto;
}

/* ---------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------- ELEMENTOR
------------------------------------------------------------------------------------------------------ */
/* gallery */
.elementor-widget-image-gallery .gallery-item img {
    width: 100%;
}

/* counter center align */
.elementor-widget-counter .elementor-counter .elementor-counter-title {
    display: block;
}

.elementor-widget-counter .elementor-counter-title {
    text-align: center;
}

/* ---------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------- TEMP
------------------------------------------------------------------------------------------------------ */
/* fix divi injections on archives */
.elementor-loop-container > #et-boc,
.elementor-loop-container > .et-boc,
.elementor-loop-container > .et-boc > #et_builder_outer_content,
.elementor-loop-container > .et-boc > .et_builder_outer_content {
    display: contents;
}

@media (max-width: 767px) {
    .elementor-widget-search-filter-form {
        display: none !important;
    }
}


/* ---------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------- LEFTOVERS
------------------------------------------------------------------------------------------------------ */
.resources-template-default .ast-container,
.resources-template-default main#post {
    width: 100%
}

.resources-template-default .ast-article-single {
    background-color: #fff;
    border-radius: 10px;
    margin: -200px auto 0;
    max-width: 920px;
    padding: 60px;
}

.singleFeature {
    background-attachment: fixed;
    background-position: center center;
    background-size: cover;
    height: 590px;
    position: relative;
    width: 100%;
    z-index: -1;
}

.singleFeature::after {
    background-color: #00000066;
    content: '';
    display: block;
    left: 0;
    height: 100%;
    position: absolute;
    top: 0;
    width: 100%;
}

.customerLogo {
    background-color: #fff;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    border: 10px solid #fff;
    border-radius: 100px;
    height: 120px;
    margin: auto;
    margin-top: -120px;
    width: 120px;
}

section.followOn {
    margin: auto;
    max-width: 800px;
    padding: 20px 20px 100px 20px;
    text-align: center;
}

.followOn .cntr > span {
    font-size: 24px;
    font-weight: 700;
}

@media (max-width: 767px) {
    .resources-template-default .ast-article-single {
        margin: -100px 10px 0 10px;
        padding: 40px 10px 10px 10px;
    }

    .singleFeature {
        height: 400px;
    }

    .customerLogo {
        height: 80px;
        margin-top: -80px;
        width: 80px;
    }
}